{
  "name": "@jupyterlab/notebook",
  "version": "4.0.11",
  "description": "JupyterLab - Notebook",
  "homepage": "https://github.com/jupyterlab/jupyterlab",
  "bugs": {
    "url": "https://github.com/jupyterlab/jupyterlab/issues"
  },
  "repository": {
    "type": "git",
    "url": "https://github.com/jupyterlab/jupyterlab.git"
  },
  "license": "BSD-3-Clause",
  "author": "Project Jupyter",
  "sideEffects": [
    "style/**/*"
  ],
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "style": "style/index.css",
  "directories": {
    "lib": "lib/"
  },
  "files": [
    "lib/*.{d.ts,js.map,js,json}",
    "style/**/*.{css,eot,gif,html,jpg,json,png,svg,woff2,ttf}",
    "style/index.js",
    "src/**/*.{ts,tsx}",
    "src/default.json"
  ],
  "scripts": {
    "build": "tsc -b",
    "build:test": "tsc --build tsconfig.test.json",
    "clean": "rimraf lib && rimraf tsconfig.tsbuildinfo",
    "docs": "typedoc src",
    "test": "jest -i",
    "test:cov": "jest -i --collect-coverage",
    "test:debug": "node --inspect-brk ../../node_modules/.bin/jest --runInBand",
    "test:debug:watch": "node --inspect-brk ../../node_modules/.bin/jest --runInBand --watch",
    "test:watch": "jest --runInBand --watch",
    "watch": "tsc -b --watch"
  },
  "dependencies": {
    "@jupyter/ydoc": "^1.1.1",
    "@jupyterlab/apputils": "^4.1.11",
    "@jupyterlab/cells": "^4.0.11",
    "@jupyterlab/codeeditor": "^4.0.11",
    "@jupyterlab/codemirror": "^4.0.11",
    "@jupyterlab/coreutils": "^6.0.11",
    "@jupyterlab/docregistry": "^4.0.11",
    "@jupyterlab/documentsearch": "^4.0.11",
    "@jupyterlab/lsp": "^4.0.11",
    "@jupyterlab/nbformat": "^4.0.11",
    "@jupyterlab/observables": "^5.0.11",
    "@jupyterlab/rendermime": "^4.0.11",
    "@jupyterlab/services": "^7.0.11",
    "@jupyterlab/settingregistry": "^4.0.11",
    "@jupyterlab/statusbar": "^4.0.11",
    "@jupyterlab/toc": "^6.0.11",
    "@jupyterlab/translation": "^4.0.11",
    "@jupyterlab/ui-components": "^4.0.11",
    "@lumino/algorithm": "^2.0.1",
    "@lumino/coreutils": "^2.1.2",
    "@lumino/domutils": "^2.0.1",
    "@lumino/dragdrop": "^2.1.4",
    "@lumino/messaging": "^2.0.1",
    "@lumino/properties": "^2.0.1",
    "@lumino/signaling": "^2.1.2",
    "@lumino/virtualdom": "^2.0.1",
    "@lumino/widgets": "^2.3.0",
    "react": "^18.2.0"
  },
  "devDependencies": {
    "@jupyterlab/testing": "^4.0.11",
    "@types/jest": "^29.2.0",
    "jest": "^29.2.0",
    "rimraf": "~3.0.0",
    "typedoc": "~0.24.7",
    "typescript": "~5.0.4"
  },
  "publishConfig": {
    "access": "public"
  },
  "styleModule": "style/index.js"
}
